Loading...
Searching...
No Matches
casacore::MCPosition Class Reference
measures package (libcasa_measures) » Measures_module » Measures_module_internal_classes

More...

`#include <MCPosition.h>`

## Public Member Functions

| MCPosition ()
| Default constructor.
| ~MCPosition ()
Public Member Functions inherited from casacore::MCBase
virtual | ~MCBase ()

## Static Public Member Functions

static String | showState ()
| Show the state of the conversion engine (mainly for debugging purposes).

## Private Types

enum | Routes { ITRF_WGS84 , WGS84_ITRF , N_Routes }
| The list of actual routines provided. More...

## Private Member Functions

| MCPosition (const MCPosition &other)
| Copy constructor (not implemented).
MCPosition & | operator= (const MCPosition &other)
| Assignment (not implemented).
virtual void | getConvert (MConvertBase &mc, const MRBase &inref, const MRBase &outref)
| Create conversion function pointer.
virtual void | initConvert (uInt which, MConvertBase &mc)
| Create help structures for Measure conversion routines.
virtual void | clearConvert ()
| Delete the pointers used in the MeasConvert help structure cache.
virtual void | doConvert (MeasValue &in, MRBase &inref, MRBase &outref, const MConvertBase &mc)
| Routine to do actual conversion.
void | doConvert (MVPosition &in, MRBase &inref, MRBase &outref, const MConvertBase &mc)
| Conversion routine to cater for inheritance question.

## Static Private Member Functions

static void | doFillState ()
| Fill the global state.

## Private Attributes

Vector< Double > * | DVEC1

## Static Private Attributes

static uInt | ToRef_p [N_Routes][3]
| Transition list.
static uInt | FromTo_p [MPosition::N_Types][MPosition::N_Types]
| Transition matrix.
static std::once_flag | theirInitOnceFlag
| Object to ensure safe multi-threaded lazy single initialization.

## Friends

class | MeasConvert< MPosition >
| Conversion of data.

## Additional Inherited Members

Public Types inherited from casacore::MCBase
enum | Routes { N_Routes }
| Each derived class should have a list of routines to be called: More...
Static Protected Member Functions inherited from casacore::MCBase
static void | makeState (uInt *state, const uInt ntyp, const uInt nrout, const uInt list[][3])
| The following routines create a state transition matrix from a list of all defined transitions.
static String | showState (uInt *state, const uInt ntyp, const uInt nrout, const uInt list[][3])
| Return a fromatted String with matrix information (based on < 100 types).

## Detailed Description

MPosition conversion routines

### Intended use:

Internal

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25
Test programs:
  tMeasure

### Prerequisite

- Measure class
- MCBase base class
- overall conversion class

### Etymology

Measure, Convert and Position

### Synopsis

Contains state machinery and caching for actual conversions

### Example

See Measure for conversion example.

### Motivation

### To Do

Definition at line 78 of file MCPosition.h.

## Member Enumeration Documentation

## Routes

enum casacore::MCPosition::Routes

private

The list of actual routines provided.

Warning: Each AA_BB in the list points to routine that can be used in the FromTo list in the getConvert routine; In addition the type to which each is converted should be in the ToRef array, again in the proper order;

Enumerator
ITRF_WGS84 |
WGS84_ITRF |
N_Routes |

Definition at line 104 of file MCPosition.h.

## Constructor & Destructor Documentation

## MCPosition() [1/2]

casacore::MCPosition::MCPosition | ( |  | ) |

Default constructor.

Referenced by MCPosition(), MeasConvert< MPosition >, and operator=().

## ~MCPosition()

casacore::MCPosition::~MCPosition | ( |  | ) |

## MCPosition() [2/2]

casacore::MCPosition::MCPosition | ( | const MCPosition & | other | ) |

private

Copy constructor (not implemented).

References MCPosition().

## Member Function Documentation

## clearConvert()

virtual void casacore::MCPosition::clearConvert | ( |  | ) |

private virtual

Delete the pointers used in the MeasConvert help structure cache.

Implements casacore::MCBase.

## doConvert() [1/2]

virtual void casacore::MCPosition::doConvert | ( | MeasValue & | in,
|  | MRBase & | inref,
|  | MRBase & | outref,
|  | const MConvertBase & | mc )

private virtual

Routine to do actual conversion.

Implements casacore::MCBase.

## doConvert() [2/2]

void casacore::MCPosition::doConvert | ( | MVPosition & | in,
|  | MRBase & | inref,
|  | MRBase & | outref,
|  | const MConvertBase & | mc )

private

Conversion routine to cater for inheritance question.

## doFillState()

void casacore::MCPosition::doFillState | ( |  | ) |

static private

Fill the global state.

Called using theirInitOnce.

## getConvert()

virtual void casacore::MCPosition::getConvert | ( | MConvertBase & | mc,
|  | const MRBase & | inref,
|  | const MRBase & | outref )

private virtual

Create conversion function pointer.

Implements casacore::MCBase.

## initConvert()

virtual void casacore::MCPosition::initConvert | ( | uInt | which,
|  | MConvertBase & | mc )

private virtual

Create help structures for Measure conversion routines.

Implements casacore::MCBase.

## operator=()

MCPosition & casacore::MCPosition::operator= | ( | const MCPosition & | other | ) |

private

Assignment (not implemented).

References MCPosition().

## showState()

String casacore::MCPosition::showState | ( |  | ) |

static

Show the state of the conversion engine (mainly for debugging purposes).

## Friends And Related Symbol Documentation

## MeasConvert< MPosition >

friend class MeasConvert< MPosition >

friend

Conversion of data.

Definition at line 1 of file MCPosition.h.

References MCPosition().

## Member Data Documentation

## DVEC1

Vector<Double>* casacore::MCPosition::DVEC1

private

Definition at line 118 of file MCPosition.h.

## FromTo_p

uInt casacore::MCPosition::FromTo_p[MPosition::N_Types][MPosition::N_Types]

static private

Transition matrix.

Definition at line 124 of file MCPosition.h.

## theirInitOnceFlag

std::once_flag casacore::MCPosition::theirInitOnceFlag

static private

Object to ensure safe multi-threaded lazy single initialization.

Definition at line 126 of file MCPosition.h.

## ToRef_p

uInt casacore::MCPosition::ToRef_p[N_Routes][3]

static private

Transition list.

Definition at line 122 of file MCPosition.h.

The documentation for this class was generated from the following file:

- measures/Measures/MCPosition.h